
function love.load()
    love.window.setTitle("Contrail Particles Demo")
    love.window.setMode(500, 800)
    
    -- Smoke particles
    smoke_img = love.graphics.newImage("smoke.png")
    smoke = love.graphics.newParticleSystem(smoke_img, 128)
    smoke:setPosition(250, 25)
    smoke:setEmitterLifetime(-1)
    smoke:setParticleLifetime(8)
    smoke:setEmissionRate(12)
    smoke:setColors(255, 255, 255, 50, 0, 150, 255, 25, 0, 150, 255, 0, 0, 150, 255, 10, 0, 150, 255, 10, 0, 150, 255, 0)
    smoke:setSizes(0.75, 1.25, 0.75, 0.5, 1, 1.5, 2)
    --smoke:setSizeVariation(0.1)
    smoke:setInsertMode("top")
    smoke:setDirection(math.pi * 0.5)
    smoke:setSpeed(60, 90)
    smoke:setLinearAcceleration(0, 3, 0, 10)
    smoke:start()
    
    -- Flame particles
    flame_img = love.graphics.newImage("flame.png")
    flame = love.graphics.newParticleSystem(flame_img, 128)
    flame:setPosition(250, 150)
    flame:setEmitterLifetime(-1)
    flame:setParticleLifetime(3)
    flame:setEmissionRate(24)
    flame:setColors(255, 255, 255, 255, 0, 200, 255, 200, 0, 100, 255, 100, 0, 0, 255, 0)
    flame:setSizes(0.4, 1.2, 0.8, 0.6, 0.2)
    flame:setSizeVariation(0.5)
    flame:setInsertMode("top")
    flame:setDirection(math.pi * 0.5)
    flame:setSpeed(40, 120)
    flame:setLinearAcceleration(0, 8, 0, 10)
    flame:start()
end


function love.update(dt)
    smoke:update(dt)
    flame:update(dt)
end


function love.draw()
    love.graphics.draw(smoke)
    love.graphics.draw(flame)
end
